#!/bin/bash
# Debian Packet sendEmail
# Deklarationen
# Maximalwert fuer den Vergleich, hier 30m3 gas
maxmenge=30
# Zeitraum von 60 Minuten
zeit=60
# aktuelles Datum und Uhrzeit
datum=`date  +'%d.%m.%Y %H:%M' `

# Abfragen der SQL-Datenbank auf localhost, Gasimpulse der letzten 60 Minuten und in der Variablen $gasmenge ablegen

# MySQL-Header durch die Parameter -s und -N ausblenden
gasmenge=`mysql -uBenutzer -pPasswort -s -N -e "use
heizung; Select sum(elsterbm) from s0 where DATE_SUB( NOW(), INTERVAL $zeit
minute) <=idDatum;" 2>/dev/null`

# Vergleichsoperation ob die Maximalmenge (30) ueberschritten wurde
if [ "$gasmenge" -gt "$maxmenge" ]; then
# E-Mail an einen Benutzerkreis versenden.
sendEmail -f absender@mailserver.de -t facilitimanager@mailserver1.com -t vertreter@mailserver2.de -u "Heizungs-Meldung vom  $datum " -m "$datum: Der Gasverbrauch ist erhoeht: $gasmenge m3  in den letzten $zeit Minuten. Facilitimanager unter 0123 12 34 56 informieren." -s smtp.mailserver.de:587 -xu benutzername -xp benutzerpasswort
fi
