<?php

// Bibliotheken einbinden
require_once ('jpgraph/jpgraph.php');
require_once ('jpgraph/jpgraph_line.php');
require_once( 'jpgraph/jpgraph_date.php');
include_once ('jpgraph/jpgraph_bar.php');

// Datenbank oeffnen
mysql_connect("localhost", "<user>", "<passwort>") or die(mysql_error()); mysql_select_db("heizung") or die(mysql_error());

// SQL-Abfrage beschreiben
$sqlsum = "SELECT DATE_FORMAT(`idDatum`, '%H:%i\n%d. %b.' ),sum(s0_23) FROM `s0` where idDatum >= DATE_SUB(now(), INTERVAL 24 HOUR)  group by year(idDatum), month(idDatum), day(idDatum), hour(idDatum) order by idDatum asc;";

//Datenbank abfragen
$result = mysql_query($sqlsum);

// Abfrageergebnis in die Arrays fuer die x- und y-Achse uebertragen
$index=0;
while($row = mysql_fetch_row($result))
{
   $validDatum[$index]=$row[0];
   $valkwh1[$index]=$row[1];
   $index++;
}

// Groesse des Graphen festlegen
$graph = new Graph(570,360);
// Rendering-Option
$graph->img->SetAntiAliasing(false);
// Skalierung der x-Achse, hier Datumsangaben
$graph->SetScale('datlin');
// Vektor mit den Daten der x-Achse
$graph->xaxis->SetTickLabels($validDatum);
// Skalierungsoption
$graph->xaxis->scale->SetDateFormat('HOURADJ_8');
// erstes und letztes Datum der x-Achse verbergen
$graph->xaxis->HideFirstLastLabel();
// Abstand der x-Achsenbeschriftung
$graph->xaxis->SetLabelMargin(30);
// Standard mit 0 beginnen
$graph->yscale->SetAutoMin(0);
// Hilfslinien der x- und y-Achse gepunktet
$graph->ygrid->SetLineStyle('dotted');
$graph->xgrid->SetLineStyle('dotted');
// Beschriftungsabstand der x-Achse
$graph->xaxis->SetTextLabelInterval(3);
// anzeigen
$graph->xgrid->Show();
// Ueberschrift des Graphen
$graph->title->Set("Gasverbrauch \n  Angaben in kWh" );

// Datenlinie zeichnen
$lineplot1=new LinePlot($valkwh1);
// Legendeneintrag
$lineplot1->SetLegend('Gasverbrauch');

// Legende formatieren 4 Spalten, Farbe und Position
$graph->legend->SetColumns(4);
$graph->legend->SetShadow('gray@0.4',5);
$graph->legend->SetPos(.07,0.765,'left','top');

// Zeichnen des Graphen Linie, Farbe, Linienstaerke
$graph->Add($lineplot1);
$lineplot1->SetColor('red');
$lineplot1->SetWeight(2);

// Graphen ausgeben
$graph->StrokeCSIM();

// Skriptende
?>

